Index: org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.viewer/distribution/distribution.xml
===================================================================
--- org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.viewer/distribution/distribution.xml	(revision 219)
+++ org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.viewer/distribution/distribution.xml	(revision 220)
@@ -28,6 +28,7 @@
 				<include>org.gvsig:org.gvsig.educa.thematicmap.lib.spi</include>
 				<include>org.gvsig:org.gvsig.educa.thematicmap.swing.api</include>
 				<include>org.gvsig:org.gvsig.educa.thematicmap.lib.prov.installer</include>
+				<include>org.gvsig:org.gvsig.educa.thematicmap.lib.prov.qresp</include>
 				<include>org.gvsig:org.gvsig.educa.thematicmap.swing.impl</include>
 				<include>org.apache.commons:commons-io</include>
 				<include>org.apache.commons:commons-lang3</include>
Index: org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.viewer/pom.xml
===================================================================
--- org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.viewer/pom.xml	(revision 219)
+++ org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.viewer/pom.xml	(revision 220)
@@ -37,6 +37,11 @@
 		<dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.educa.thematicmap.lib.prov.installer</artifactId>
+		</dependency>		
+		<dependency>
+			<groupId>org.gvsig</groupId>
+			<artifactId>org.gvsig.educa.thematicmap.lib.prov.qresp</artifactId>
+			<version>1.0.0-SNAPSHOT</version>
 		</dependency>
 		<dependency>
 			<groupId>org.apache.commons</groupId>
Index: org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/resources/images/thematicmap-editor/thematicmap-editor-wizard.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/resources/images/thematicmap-editor/thematicmap-editor-wizard.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/editor/DefaultThematicMapCompilationEditor.java
===================================================================
--- org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/editor/DefaultThematicMapCompilationEditor.java	(revision 219)
+++ org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/editor/DefaultThematicMapCompilationEditor.java	(revision 220)
@@ -38,6 +38,7 @@
 import org.gvsig.educa.thematicmap.compilation.ThematicMapCompilation;
 import org.gvsig.educa.thematicmap.editor.ThematicMapCompilationEditor;
 import org.gvsig.educa.thematicmap.editor.ThematicMapCompilationEditorListener;
+import org.gvsig.educa.thematicmap.impl.IconThemeHelper;
 import org.gvsig.gui.beans.wizard.WizardPanel;
 import org.gvsig.gui.beans.wizard.WizardPanelActionListener;
 import org.gvsig.gui.beans.wizard.WizardPanelWithLogo;
@@ -132,10 +133,11 @@
         }
         setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
 
-        URL iconURL =
-            getClass().getClassLoader().getResource(
-                "images/thematicmap-editor.png");
-        ImageIcon icon = new ImageIcon(iconURL);
+//        URL iconURL =
+//            getClass().getClassLoader().getResource(
+//                "images/thematicmap-editor.png");
+        
+        ImageIcon icon = IconThemeHelper.getImageIcon("thematicmap-editor-wizard");
 
         wizard = new WizardPanelWithLogo(icon);
 
Index: org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/DefaultThematicMapProviderManager.java
===================================================================
--- org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/DefaultThematicMapProviderManager.java	(revision 219)
+++ org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/DefaultThematicMapProviderManager.java	(revision 220)
@@ -1,6 +1,7 @@
 package org.gvsig.educa.thematicmap.impl;
 
 import java.util.ArrayList;
+import java.util.Iterator;
 import java.util.List;
 
 import org.gvsig.educa.thematicmap.spi.ThematicMapProviderManager;
@@ -17,8 +18,9 @@
 public class DefaultThematicMapProviderManager extends AbstractProviderManager
 		implements ThematicMapProviderManager {
 
-	private static final Logger logger = LoggerFactory.getLogger(DefaultThematicMapProviderManager.class);
-	
+	private static final Logger logger = LoggerFactory
+			.getLogger(DefaultThematicMapProviderManager.class);
+
 	public static final String PROVIDERS_NAME = "ThematicMap.providers";
 
 	public static final String PROVIDERS_DESCRIPTION = "ThematicMap providers";
@@ -27,7 +29,7 @@
 		super();
 		System.out.println("\nprovider created!\n;");
 	}
-	
+
 	@Override
 	protected String getRegistryDescription() {
 		return PROVIDERS_DESCRIPTION;
@@ -46,20 +48,24 @@
 		ExtensionPointManager epm = ToolsLocator.getExtensionPointManager();
 		List<ProviderFactory> factories = new ArrayList<ProviderFactory>();
 
-		@SuppressWarnings("unchecked")
-		List<String> factoryNames = epm.getNames();
-		
-		for (String factoryName : factoryNames) {
-			ExtensionPoint ep = epm.get(factoryName);
-			ProviderFactory factory = null; 
+		ExtensionPoint ep_prov = epm.get(PROVIDERS_NAME);
+		if( ep_prov == null ) {
+			return factories;
+		}
+		Iterator factoriesIt =  ep_prov.iterator();
+		while (factoriesIt.hasNext()) {
+			ExtensionPoint ep = (ExtensionPoint) factoriesIt.next();
 
-			if (ep != null) {
-				try {
-					factory = ((ProviderFactory) ep.create(factoryName));
-					factories.add(factory);
-				} catch (Exception e) {
-					logger.info("Can't create ThematicMapProviderfactory for '"+factoryName+".");
-				}
+			String factoryName = ep.getName();
+
+			ProviderFactory factory = null;
+
+			try {
+				factory = ((ProviderFactory) ep.create(factoryName));
+				factories.add(factory);
+			} catch (Exception e) {
+				logger.info("Can't create ThematicMapProviderfactory for '"
+						+ factoryName + ".");
 			}
 		}
 		return factories;
Index: org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/ThematicMapDefaultImplLibrary.java
===================================================================
--- org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/ThematicMapDefaultImplLibrary.java	(revision 219)
+++ org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/ThematicMapDefaultImplLibrary.java	(revision 220)
@@ -72,6 +72,8 @@
             "org.gvsig.educa.thematicmap.impl.i18n.text",
             ThematicMapDefaultImplLibrary.class.getClassLoader(),
             ThematicMapDefaultImplLibrary.class.getClass().getName());
+        
+        IconThemeHelper.registerIcon("thematicmap-editor", "thematicmap-editor-wizard", this);
     }
 
 }
Index: org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/IconThemeHelper.java
===================================================================
--- org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/IconThemeHelper.java	(revision 0)
+++ org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/IconThemeHelper.java	(revision 220)
@@ -0,0 +1,51 @@
+package org.gvsig.educa.thematicmap.impl;
+
+import java.awt.Image;
+
+import javax.swing.ImageIcon;
+
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.icontheme.IconTheme;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+public class IconThemeHelper {
+
+	private static Logger logger = LoggerFactory
+			.getLogger(IconThemeHelper.class);
+
+	public static void registerIcon(String group, String name, Object obj) {
+		String resourceName;
+		ClassLoader loader;
+		IconTheme iconTheme = ToolsSwingLocator.getIconThemeManager()
+				.getCurrent();
+		if (group == null || group.trim().length() == 0) {
+			resourceName = "images/" + name + ".png";
+		} else {
+			resourceName = "images/" + group + "/" + name + ".png";
+		}
+		if (obj instanceof Class) {
+			loader = ((Class) obj).getClassLoader();
+		} else {
+			loader = obj.getClass().getClassLoader();
+		}
+		try {
+			iconTheme.registerDefault("mapcontrol", group, name, null,
+					loader.getResource(resourceName));
+		} catch (Throwable e) {
+			logger.info(e.getMessage());
+		}
+	}
+
+	public static ImageIcon getImageIcon(String iconName) {
+		IconTheme iconTheme = ToolsSwingLocator.getIconThemeManager()
+				.getCurrent();
+		return iconTheme.get(iconName);
+	}
+
+	public static Image getImage(String iconName) {
+		IconTheme iconTheme = ToolsSwingLocator.getIconThemeManager()
+				.getCurrent();
+		return iconTheme.get(iconName).getImage();
+	}
+}
\ No newline at end of file

Property changes on: org.gvsig.educa.thematicmap/trunk/org.gvsig.educa.thematicmap/org.gvsig.educa.thematicmap.lib/org.gvsig.educa.thematicmap.lib.impl/src/main/java/org/gvsig/educa/thematicmap/impl/IconThemeHelper.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain