
Property changes on: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.lin.x86_64
___________________________________________________________________
Modified: svn:ignore
   - .classpath

.project

.settings

   + .classpath
.project
.settings
target



Property changes on: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.win.x86
___________________________________________________________________
Added: svn:ignore
   + target



Property changes on: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.lin.x86
___________________________________________________________________
Added: svn:ignore
   + target


Index: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.common/pom.xml
===================================================================
--- org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.common/pom.xml	(revision 229)
+++ org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.common/pom.xml	(revision 230)
@@ -1,156 +1,155 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-  <modelVersion>4.0.0</modelVersion>
-  <artifactId>org.gvsig.projection.app.jcrs.common</artifactId>
-  <packaging>jar</packaging>
-  <name>CRS: CRS management (Proj4/Geotools based, Native)</name>
-  <description>
-CRS management:
-- Set the reference system (CRS) by default, in views, in layers (CRS on the fly).
-- Selection from recent CRS, from EPSG, ESRI, IAU2000 data bases and user's defined CRS.
-- Create, edit and delete new CRS defined by the user (from an existing CRS, from a wkt string, or from scratch).
-- Consult CRS information (datum, projection, proj4 string...)
-- Convertion of coordinates (no datum changing)
-- Transformation of coordinates (datum changing) from EPSG, manual, recent, compound and grid (.gsb extension)
-  </description>
+    <modelVersion>4.0.0</modelVersion>
+    <artifactId>org.gvsig.projection.app.jcrs.common</artifactId>
+    <packaging>jar</packaging>
+    <name>CRS: CRS management (Proj4/Geotools based, Native)</name>
+    <description>
+        CRS management:
+        - Set the reference system (CRS) by default, in views, in layers (CRS on the fly).
+        - Selection from recent CRS, from EPSG, ESRI, IAU2000 data bases and user's defined CRS.
+        - Create, edit and delete new CRS defined by the user (from an existing CRS, from a wkt string, or from scratch).
+        - Consult CRS information (datum, projection, proj4 string...)
+        - Convertion of coordinates (no datum changing)
+        - Transformation of coordinates (datum changing) from EPSG, manual, recent, compound and grid (.gsb extension)
+    </description>
    
- 	<parent>
-		<groupId>org.gvsig</groupId>
-		<artifactId>org.gvsig.projection.app.jcrs</artifactId>
-		<version>2.1.2-SNAPSHOT</version>
-	</parent>
+    <parent>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.projection.app.jcrs</artifactId>
+        <version>2.1.2-SNAPSHOT</version>
+    </parent>
 
-  <properties>
-    <gvsig.package.info.state>testing</gvsig.package.info.state>
-    <gvsig.package.info.official>true</gvsig.package.info.official>
-    <gvsig.package.info.operatingSystem>all</gvsig.package.info.operatingSystem>
-    <gvsig.package.info.architecture>all</gvsig.package.info.architecture>
-    <gvsig.package.info.dependencies>required: org.gvsig.app.mainplugin -ge 2.1.0-A</gvsig.package.info.dependencies>
-    <gvsig.package.info.categories />
-    <gvsig.package.info.poolURL>http://devel.gvsig.org/download/projects/gvsig-jcrs/pool</gvsig.package.info.poolURL>
-    <gvsig.install.plugin>false</gvsig.install.plugin>
-    <gvsig.install.plugin.package>false</gvsig.install.plugin.package>    
-  </properties>
+    <properties>
+        <gvsig.package.info.state>testing</gvsig.package.info.state>
+        <gvsig.package.info.official>true</gvsig.package.info.official>
+        <gvsig.package.info.operatingSystem>all</gvsig.package.info.operatingSystem>
+        <gvsig.package.info.architecture>all</gvsig.package.info.architecture>
+        <gvsig.package.info.dependencies>required: org.gvsig.app.mainplugin -ge 2.1.0-A</gvsig.package.info.dependencies>
+        <gvsig.package.info.categories />
+        <gvsig.package.info.poolURL>http://devel.gvsig.org/download/projects/gvsig-jcrs/pool</gvsig.package.info.poolURL>
+        <gvsig.install.plugin>false</gvsig.install.plugin>
+        <gvsig.install.plugin.package>false</gvsig.install.plugin.package>    
+    </properties>
 
-  <dependencyManagement>
-      <dependencies>
+    <dependencyManagement>
+        <dependencies>
 
-      </dependencies>
-  </dependencyManagement>
+        </dependencies>
+    </dependencyManagement>
 
-  <dependencies>
+    <dependencies>
 
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.tools.lib</artifactId>
-      <scope>compile</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.andami</artifactId>
-      <scope>compile</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.ui</artifactId>
-      <scope>compile</scope>
-    </dependency>
-    <dependency>
-      <groupId>net.sf</groupId>
-      <artifactId>jgridshiftapi</artifactId>
-      <scope>compile</scope>
-    </dependency>
-    <dependency>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.projection.cresques.ui</artifactId>
-	    <scope>compile</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.projection.api</artifactId>
-	  <scope>compile</scope>
-    </dependency>
-    <dependency>
-        <groupId>org.gvsig</groupId>
-		    <artifactId>org.gvsig.projection.jcrs.lib</artifactId>
-		    <version>2.1.0</version>
-  	    <scope>compile</scope>
-    </dependency>
-    <dependency>
-      <groupId>javax.units</groupId>
-      <artifactId>jsr108</artifactId>
-      <scope>compile</scope>
-    </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.tools.lib</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.andami</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.ui</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>net.sf</groupId>
+            <artifactId>jgridshiftapi</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.projection.cresques.ui</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.projection.api</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.projection.jcrs.lib</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>javax.units</groupId>
+            <artifactId>jsr108</artifactId>
+            <scope>compile</scope>
+        </dependency>
     
     
-    <dependency>
-      <groupId>org.geotools</groupId>
-      <artifactId>gt2-main</artifactId>
-      <!-- Don't remove version from here, this override version  -->
-      <!-- in org.gvsig.desktop -->
-      <version>unknown</version>
-      <scope>compile</scope>
-     </dependency>
+        <dependency>
+            <groupId>org.geotools</groupId>
+            <artifactId>gt2-main</artifactId>
+            <!-- Don't remove version from here, this override version  -->
+            <!-- in org.gvsig.desktop -->
+            <version>unknown</version>
+            <scope>compile</scope>
+        </dependency>
 
-    <dependency>
-      <groupId>org.opengis</groupId>
-      <artifactId>geoapi</artifactId>
-      <scope>compile</scope>
-    </dependency>
-    <dependency>
-      <groupId>hsqldb</groupId>
-      <artifactId>hsqldb</artifactId>
-      <scope>compile</scope>
-    </dependency>
+        <dependency>
+            <groupId>org.opengis</groupId>
+            <artifactId>geoapi</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>hsqldb</groupId>
+            <artifactId>hsqldb</artifactId>
+            <scope>compile</scope>
+        </dependency>
     
-	<!--  Runtime dependencies -->
-	<!--  Need to include in the assembly -->
-    <dependency>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.projection.cresques.impl</artifactId>
-    	<scope>runtime</scope>
-    </dependency>
-    <!-- 
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>gt2-epsg-esri</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>gt2-epsg-hsql</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>gt2-epsg-iau2000</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>gt2-epsg-usr</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    -->
-	<dependency>
-	   <groupId>java3d</groupId>
-	   <artifactId>vecmath</artifactId>
-	   <scope>runtime</scope>
-	</dependency>
-  </dependencies>
+        <!--  Runtime dependencies -->
+        <!--  Need to include in the assembly -->
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.projection.cresques.impl</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <!-- 
+        <dependency>
+          <groupId>org.gvsig</groupId>
+          <artifactId>gt2-epsg-esri</artifactId>
+          <scope>runtime</scope>
+        </dependency>
+        <dependency>
+          <groupId>org.gvsig</groupId>
+          <artifactId>gt2-epsg-hsql</artifactId>
+          <scope>runtime</scope>
+        </dependency>
+        <dependency>
+          <groupId>org.gvsig</groupId>
+          <artifactId>gt2-epsg-iau2000</artifactId>
+          <scope>runtime</scope>
+        </dependency>
+        <dependency>
+          <groupId>org.gvsig</groupId>
+          <artifactId>gt2-epsg-usr</artifactId>
+          <scope>runtime</scope>
+        </dependency>
+        -->
+        <dependency>
+            <groupId>java3d</groupId>
+            <artifactId>vecmath</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+    </dependencies>
 
-  <build>
-      <plugins>
-          <!-- TODO: MAKE TESTS WORK AND REMOVE THIS OPTION -->
-          <plugin>
-              <groupId>org.apache.maven.plugins</groupId>
-              <artifactId>maven-surefire-plugin</artifactId>
-              <configuration>
-                  <skipTests>true</skipTests>
-              </configuration>
-          </plugin>
-      </plugins>
-  </build>
+    <build>
+        <plugins>
+            <!-- TODO: MAKE TESTS WORK AND REMOVE THIS OPTION -->
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-surefire-plugin</artifactId>
+                <configuration>
+                    <skipTests>true</skipTests>
+                </configuration>
+            </plugin>
+        </plugins>
+    </build>
 
 </project>
 

Property changes on: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.common
___________________________________________________________________
Added: svn:ignore
   + target


Index: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/pom.xml
===================================================================
--- org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/pom.xml	(revision 229)
+++ org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs/pom.xml	(revision 230)
@@ -63,6 +63,11 @@
 
   <dependencyManagement>
       <dependencies>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.projection.jcrs.lib</artifactId>
+            <version>2.1.2-SNAPSHOT</version>
+        </dependency>          
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.projection.app.jcrs.common</artifactId>

Property changes on: org.gvsig.projection.jcrs/trunk/org.gvsig.projection.app.jcrs
___________________________________________________________________
Modified: svn:ignore
   - .project
.pom.xml.swp

   + .project
.pom.xml.swp
target