Index: org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.exportto/pom.xml
===================================================================
--- org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.exportto/pom.xml	(revision 816)
+++ org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.exportto/pom.xml	(revision 817)
@@ -4,7 +4,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.dxf</artifactId>
-        <version>2.0.172</version>
+        <version>2.0.173-SNAPSHOT</version>
     </parent>
     <artifactId>org.gvsig.dxf.exportto</artifactId>
     <packaging>jar</packaging>
Index: org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.lib/pom.xml
===================================================================
--- org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.lib/pom.xml	(revision 816)
+++ org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.lib/pom.xml	(revision 817)
@@ -10,7 +10,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dxf</artifactId>
-      <version>2.0.172</version>
+      <version>2.0.173-SNAPSHOT</version>
   </parent>
 
   <dependencies>
Index: org.gvsig.dxf/trunk/org.gvsig.dxf/pom.xml
===================================================================
--- org.gvsig.dxf/trunk/org.gvsig.dxf/pom.xml	(revision 816)
+++ org.gvsig.dxf/trunk/org.gvsig.dxf/pom.xml	(revision 817)
@@ -4,7 +4,7 @@
 
   <modelVersion>4.0.0</modelVersion>
   <artifactId>org.gvsig.dxf</artifactId>
-  <version>2.0.172</version>
+  <version>2.0.173-SNAPSHOT</version>
   <packaging>pom</packaging>
   <name>${project.artifactId}</name>
   <description>DXF support fort DAL and gvSIG</description>
@@ -16,9 +16,9 @@
 
   <url>https://devel.gvsig.org/redmine/projects/gvsig-dxf</url>
   <scm>
-      <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-dxf/org.gvsig.dxf/tags/org.gvsig.dxf-2.0.172</connection>
-      <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-dxf/org.gvsig.dxf/tags/org.gvsig.dxf-2.0.172</developerConnection>
-      <url>https://devel.gvsig.org/redmine/projects/gvsig-dxf/repository/show/org.gvsig.dxf/tags/org.gvsig.dxf-2.0.172</url>
+      <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-dxf/org.gvsig.dxf/trunk/org.gvsig.dxf</connection>
+      <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-dxf/org.gvsig.dxf/trunk/org.gvsig.dxf</developerConnection>
+      <url>https://devel.gvsig.org/redmine/projects/gvsig-dxf/repository/show/org.gvsig.dxf/trunk/org.gvsig.dxf</url>
   </scm>
     <repositories>
       <repository>
@@ -55,27 +55,27 @@
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dxf.provider</artifactId>
-            <version>2.0.172</version>
+            <version>2.0.173-SNAPSHOT</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dxf.provider.legend</artifactId>
-            <version>2.0.172</version>
+            <version>2.0.173-SNAPSHOT</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dxf.lib</artifactId>
-            <version>2.0.172</version>
+            <version>2.0.173-SNAPSHOT</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dxf.exportto</artifactId>
-            <version>2.0.172</version>
+            <version>2.0.173-SNAPSHOT</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dxf.app.mainplugin</artifactId>
-            <version>2.0.172</version>
+            <version>2.0.173-SNAPSHOT</version>
           </dependency>
       </dependencies>
   </dependencyManagement>
Index: org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.provider.legend/pom.xml
===================================================================
--- org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.provider.legend/pom.xml	(revision 816)
+++ org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.provider.legend/pom.xml	(revision 817)
@@ -8,7 +8,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dxf</artifactId>
-      <version>2.0.172</version>
+      <version>2.0.173-SNAPSHOT</version>
   </parent>
 
   <dependencies>
Index: org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.provider/pom.xml
===================================================================
--- org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.provider/pom.xml	(revision 816)
+++ org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.provider/pom.xml	(revision 817)
@@ -10,7 +10,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dxf</artifactId>
-      <version>2.0.172</version>
+      <version>2.0.173-SNAPSHOT</version>
   </parent>
 
   <dependencies>
Index: org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.app/pom.xml
===================================================================
--- org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.app/pom.xml	(revision 816)
+++ org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.app/pom.xml	(revision 817)
@@ -9,7 +9,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dxf</artifactId>
-      <version>2.0.172</version>
+      <version>2.0.173-SNAPSHOT</version>
   </parent>
   
   <modules>
Index: org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.app/org.gvsig.dxf.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.app/org.gvsig.dxf.app.mainplugin/pom.xml	(revision 816)
+++ org.gvsig.dxf/trunk/org.gvsig.dxf/org.gvsig.dxf.app/org.gvsig.dxf.app.mainplugin/pom.xml	(revision 817)
@@ -10,7 +10,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dxf.app</artifactId>
-      <version>2.0.172</version>
+      <version>2.0.173-SNAPSHOT</version>
   </parent>
 
   <dependencies>