Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/org.gvsig.chart.lib.impl/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/org.gvsig.chart.lib.impl/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/org.gvsig.chart.lib.impl/pom.xml	(revision 904)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart.lib</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 
 	<dependencies>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/pom.xml	(revision 904)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 	<modules>
 		<module>org.gvsig.chart.lib.api</module>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/org.gvsig.chart.lib.api/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/org.gvsig.chart.lib.api/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/org.gvsig.chart.lib.api/pom.xml	(revision 904)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart.lib</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 
 	<build>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/org.gvsig.chart.lib.base/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/org.gvsig.chart.lib.base/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.lib/org.gvsig.chart.lib.base/pom.xml	(revision 904)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart.lib</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 
 	<dependencies>
Index: org.gvsig.chart/trunk/org.gvsig.chart/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/pom.xml	(revision 904)
@@ -3,7 +3,7 @@
     <modelVersion>4.0.0</modelVersion>
     <artifactId>org.gvsig.chart</artifactId>
     <packaging>pom</packaging>
-    <version>1.0.167</version>
+    <version>1.0.168-SNAPSHOT</version>
     <name>org.gvsig.chart</name>
     <description>Chart project</description>
     <parent>
@@ -13,9 +13,9 @@
     </parent>
     <url>http://devel.gvsig.org/sites/org.gvsig.chart/${project.version}</url>
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-basic-chart/org.gvsig.chart/tags/org.gvsig.chart-1.0.167</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-basic-chart/org.gvsig.chart/tags/org.gvsig.chart-1.0.167</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-basic-chart/repository/show/org.gvsig.chart/tags/org.gvsig.chart-1.0.167</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-basic-chart/org.gvsig.chart/trunk/org.gvsig.chart</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-basic-chart/org.gvsig.chart/trunk/org.gvsig.chart</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-basic-chart/repository/show/org.gvsig.chart/trunk/org.gvsig.chart</url>
     </scm>
     <developers>
         <developer>
@@ -82,47 +82,47 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.chart.app.mainplugin</artifactId>
-                <version>1.0.167</version>
+                <version>1.0.168-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.chart.app.legendplugin</artifactId>
-                <version>1.0.167</version>
+                <version>1.0.168-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.chart.app.layoutplugin</artifactId>
-                <version>1.0.167</version>
+                <version>1.0.168-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.chart.lib.api</artifactId>
-                <version>1.0.167</version>
+                <version>1.0.168-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.chart.lib.impl</artifactId>
-                <version>1.0.167</version>
+                <version>1.0.168-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.chart.lib.base</artifactId>
-                <version>1.0.167</version>
+                <version>1.0.168-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.chart.swing.api</artifactId>
-                <version>1.0.167</version>
+                <version>1.0.168-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.chart.swing.impl</artifactId>
-                <version>1.0.167</version>
+                <version>1.0.168-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.chart.swing.base</artifactId>
-                <version>1.0.167</version>
+                <version>1.0.168-SNAPSHOT</version>
             </dependency>
 
             <!-- Extern libraries -->
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/org.gvsig.chart.swing.base/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/org.gvsig.chart.swing.base/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/org.gvsig.chart.swing.base/pom.xml	(revision 904)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart.swing</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/pom.xml	(revision 904)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 
 	<modules>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/org.gvsig.chart.swing.impl/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/org.gvsig.chart.swing.impl/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/org.gvsig.chart.swing.impl/pom.xml	(revision 904)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart.swing</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/org.gvsig.chart.swing.api/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/org.gvsig.chart.swing.api/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.swing/org.gvsig.chart.swing.api/pom.xml	(revision 904)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart.swing</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 	<build>
 		<plugins>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/org.gvsig.chart.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/org.gvsig.chart.app.mainplugin/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/org.gvsig.chart.app.mainplugin/pom.xml	(revision 904)
@@ -12,7 +12,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart.app</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/pom.xml	(revision 904)
@@ -9,7 +9,7 @@
 	<parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.chart</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 
 	<modules>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/org.gvsig.chart.app.layoutplugin/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/org.gvsig.chart.app.layoutplugin/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/org.gvsig.chart.app.layoutplugin/pom.xml	(revision 904)
@@ -11,7 +11,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart.app</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/org.gvsig.chart.app.legendplugin/pom.xml
===================================================================
--- org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/org.gvsig.chart.app.legendplugin/pom.xml	(revision 903)
+++ org.gvsig.chart/trunk/org.gvsig.chart/org.gvsig.chart.app/org.gvsig.chart.app.legendplugin/pom.xml	(revision 904)
@@ -11,7 +11,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.chart.app</artifactId>
-		<version>1.0.167</version>
+		<version>1.0.168-SNAPSHOT</version>
 	</parent>
 
 	<dependencies>