Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.api/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.api/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.api/pom.xml	(revision 992)
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools.dynform</artifactId>
-    <version>3.0.17</version>
+    <version>3.0.18-SNAPSHOT</version>
   </parent>
   <dependencies>
   	<dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/pom.xml	(revision 992)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.tools</artifactId>
-		<version>3.0.17</version>
+		<version>3.0.18-SNAPSHOT</version>
 	</parent>
 
 	<modules>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.spi/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.spi/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.spi/pom.xml	(revision 992)
@@ -4,7 +4,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools.dynform</artifactId>
-    <version>3.0.17</version>
+    <version>3.0.18-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.tools.dynform.spi</artifactId>
   <name>org.gvsig.tools.dynform.spi</name>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.impl/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.impl/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.impl/pom.xml	(revision 992)
@@ -4,7 +4,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools.dynform</artifactId>
-    <version>3.0.17</version>
+    <version>3.0.18-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.tools.dynform.impl</artifactId>
   <name>org.gvsig.tools.dynform.impl</name>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.services/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.services/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.dynform/org.gvsig.tools.dynform.services/pom.xml	(revision 992)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.tools.dynform</artifactId>
-    <version>3.0.17</version>
+    <version>3.0.18-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.tools.dynform.services</artifactId>
   <name>org.gvsig.tools.dynform.services</name>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.main/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.main/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.main/pom.xml	(revision 992)
@@ -6,7 +6,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.lib/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.lib/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.lib/pom.xml	(revision 992)
@@ -11,7 +11,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.api/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.api/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.api/pom.xml	(revision 992)
@@ -6,6 +6,6 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.swing</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
 </project>
\ No newline at end of file
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.spi/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.spi/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.spi/pom.xml	(revision 992)
@@ -6,13 +6,13 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.swing</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.swing.api</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
     </dependencies>
 </project>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/org.gvsig.tools.swing.serv.jform/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/org.gvsig.tools.swing.serv.jform/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/org.gvsig.tools.swing.serv.jform/pom.xml	(revision 992)
@@ -6,6 +6,6 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.swing.serv</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
 </project>
\ No newline at end of file
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/org.gvsig.tools.swing.serv.field/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/org.gvsig.tools.swing.serv.field/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/org.gvsig.tools.swing.serv.field/pom.xml	(revision 992)
@@ -6,7 +6,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.swing.serv</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/pom.xml	(revision 992)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.swing</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/org.gvsig.tools.swing.serv.jlist/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/org.gvsig.tools.swing.serv.jlist/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.serv/org.gvsig.tools.swing.serv.jlist/pom.xml	(revision 992)
@@ -6,6 +6,6 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.swing.serv</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
 </project>
\ No newline at end of file
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/pom.xml	(revision 992)
@@ -6,7 +6,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools.swing</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/pom.xml	(revision 992)
@@ -8,13 +8,13 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.tools</artifactId>
-        <version>3.0.17</version>
+        <version>3.0.18-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.lib</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
     </dependencies>
     <modules>
Index: org.gvsig.tools/library/trunk/org.gvsig.tools/pom.xml
===================================================================
--- org.gvsig.tools/library/trunk/org.gvsig.tools/pom.xml	(revision 991)
+++ org.gvsig.tools/library/trunk/org.gvsig.tools/pom.xml	(revision 992)
@@ -4,7 +4,7 @@
     <groupId>org.gvsig</groupId>    
     <artifactId>org.gvsig.tools</artifactId>
     <packaging>pom</packaging>
-    <version>3.0.17</version>
+    <version>3.0.18-SNAPSHOT</version>
     <name>org.gvsig.tools</name>
     <description>Tools related to application framework architecture 
 	and implementations of design patterns</description>
@@ -30,9 +30,9 @@
     </organization>
     
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/tags/org.gvsig.tools-3.0.17</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/tags/org.gvsig.tools-3.0.17</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-tools/repository/show/org.gvsig.tools/library/tags/org.gvsig.tools-3.0.17</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/trunk/org.gvsig.tools</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-tools/org.gvsig.tools/library/trunk/org.gvsig.tools</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-tools/repository/show/org.gvsig.tools/library/trunk/org.gvsig.tools</url>
     </scm>
 
     <repositories>
@@ -204,62 +204,62 @@
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.lib</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.swing</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.swing.api</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.swing.impl</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.swing.spi</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.swing.serv</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.swing.serv.field</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.swing.serv.jform</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.tools.swing.serv.jlist</artifactId>
-            <version>3.0.17</version>
+            <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
           <groupId>org.gvsig</groupId>
           <artifactId>org.gvsig.tools.dynform.api</artifactId>
-          <version>3.0.17</version>
+          <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
           <groupId>org.gvsig</groupId>
           <artifactId>org.gvsig.tools.dynform.spi</artifactId>
-          <version>3.0.17</version>
+          <version>3.0.18-SNAPSHOT</version>
         </dependency>
         <dependency>
           <groupId>org.gvsig</groupId>
           <artifactId>org.gvsig.tools.dynform.services</artifactId>
-          <version>3.0.17</version>
+          <version>3.0.18-SNAPSHOT</version>
         </dependency>
         
       </dependencies>