Index: trunk/org.gvsig.dwg/org.gvsig.dwg.lib/pom.xml
===================================================================
--- trunk/org.gvsig.dwg/org.gvsig.dwg.lib/pom.xml	(revision 1195)
+++ trunk/org.gvsig.dwg/org.gvsig.dwg.lib/pom.xml	(revision 1196)
@@ -19,7 +19,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dwg</artifactId>
-      <version>2.0.249</version>
+      <version>2.0.250-SNAPSHOT</version>
   </parent>
 
   <dependencies>
Index: trunk/org.gvsig.dwg/pom.xml
===================================================================
--- trunk/org.gvsig.dwg/pom.xml	(revision 1195)
+++ trunk/org.gvsig.dwg/pom.xml	(revision 1196)
@@ -4,7 +4,7 @@
 
   <modelVersion>4.0.0</modelVersion>
   <artifactId>org.gvsig.dwg</artifactId>
-  <version>2.0.249</version>
+  <version>2.0.250-SNAPSHOT</version>
   <packaging>pom</packaging>
   <name>${project.artifactId}</name>
   <description>DWG read-only support fort DAL and gvSIG</description>
@@ -17,9 +17,9 @@
   <url>https://devel.gvsig.org/redmine/projects/gvsig-dwg</url>
 
   <scm>
-      <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-dwg/tags/org.gvsig.dwg-2.0.249</connection>
-      <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-dwg/tags/org.gvsig.dwg-2.0.249</developerConnection>
-      <url>https://devel.gvsig.org/redmine/projects/gvsig-dwg/repository/show/tags/org.gvsig.dwg-2.0.249</url>
+      <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-dwg/trunk/org.gvsig.dwg</connection>
+      <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-dwg/trunk/org.gvsig.dwg</developerConnection>
+      <url>https://devel.gvsig.org/redmine/projects/gvsig-dwg/repository/show/trunk/org.gvsig.dwg</url>
   </scm>
 
   <repositories>
@@ -57,22 +57,22 @@
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dwg.provider</artifactId>
-            <version>2.0.249</version>
+            <version>2.0.250-SNAPSHOT</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dwg.provider.legend</artifactId>
-            <version>2.0.249</version>
+            <version>2.0.250-SNAPSHOT</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dwg.lib</artifactId>
-            <version>2.0.249</version>
+            <version>2.0.250-SNAPSHOT</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.dwg.app.mainplugin</artifactId>
-            <version>2.0.249</version>
+            <version>2.0.250-SNAPSHOT</version>
           </dependency>
           <dependency>
             <groupId>org.gvsig</groupId>
Index: trunk/org.gvsig.dwg/org.gvsig.dwg.provider.legend/pom.xml
===================================================================
--- trunk/org.gvsig.dwg/org.gvsig.dwg.provider.legend/pom.xml	(revision 1195)
+++ trunk/org.gvsig.dwg/org.gvsig.dwg.provider.legend/pom.xml	(revision 1196)
@@ -9,7 +9,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dwg</artifactId>
-      <version>2.0.249</version>
+      <version>2.0.250-SNAPSHOT</version>
   </parent>
 
   <dependencies>
Index: trunk/org.gvsig.dwg/org.gvsig.dwg.provider/pom.xml
===================================================================
--- trunk/org.gvsig.dwg/org.gvsig.dwg.provider/pom.xml	(revision 1195)
+++ trunk/org.gvsig.dwg/org.gvsig.dwg.provider/pom.xml	(revision 1196)
@@ -10,7 +10,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dwg</artifactId>
-      <version>2.0.249</version>
+      <version>2.0.250-SNAPSHOT</version>
   </parent>
 
   <dependencies>
Index: trunk/org.gvsig.dwg/org.gvsig.dwg.app/org.gvsig.dwg.app.mainplugin/pom.xml
===================================================================
--- trunk/org.gvsig.dwg/org.gvsig.dwg.app/org.gvsig.dwg.app.mainplugin/pom.xml	(revision 1195)
+++ trunk/org.gvsig.dwg/org.gvsig.dwg.app/org.gvsig.dwg.app.mainplugin/pom.xml	(revision 1196)
@@ -19,7 +19,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dwg.app</artifactId>
-      <version>2.0.249</version>
+      <version>2.0.250-SNAPSHOT</version>
   </parent>
 
   <dependencies>
Index: trunk/org.gvsig.dwg/org.gvsig.dwg.app/pom.xml
===================================================================
--- trunk/org.gvsig.dwg/org.gvsig.dwg.app/pom.xml	(revision 1195)
+++ trunk/org.gvsig.dwg/org.gvsig.dwg.app/pom.xml	(revision 1196)
@@ -9,7 +9,7 @@
   <parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.dwg</artifactId>
-      <version>2.0.249</version>
+      <version>2.0.250-SNAPSHOT</version>
   </parent>
 
   <modules>