Index: org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.app/org.gvsig.derivedgeometries.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.app/org.gvsig.derivedgeometries.app.mainplugin/pom.xml	(revision 1206)
+++ org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.app/org.gvsig.derivedgeometries.app.mainplugin/pom.xml	(revision 1207)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.derivedgeometries.app</artifactId>
-		<version>1.0.231-SNAPSHOT</version>
+		<version>1.0.231</version>
 	</parent>
 	<artifactId>org.gvsig.derivedgeometries.app.mainplugin</artifactId>
 	<name>${project.artifactId}</name>
Index: org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.app/pom.xml
===================================================================
--- org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.app/pom.xml	(revision 1206)
+++ org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.app/pom.xml	(revision 1207)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.derivedgeometries</artifactId>
-    <version>1.0.231-SNAPSHOT</version>
+    <version>1.0.231</version>
   </parent>
   <artifactId>org.gvsig.derivedgeometries.app</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/pom.xml
===================================================================
--- org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/pom.xml	(revision 1206)
+++ org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/pom.xml	(revision 1207)
@@ -2,7 +2,7 @@
 	<modelVersion>4.0.0</modelVersion>
 	<groupId>org.gvsig</groupId>
 	<artifactId>org.gvsig.derivedgeometries</artifactId>
-	<version>1.0.231-SNAPSHOT</version>
+	<version>1.0.231</version>
 	<packaging>pom</packaging>
 	<name>org.gvsig.derivedgeometries</name>
 	<parent>
@@ -12,9 +12,9 @@
 	</parent>
 	<url>http://devel.gvsig.org/sites/org.gvsig.derivedgeometries/${project.version}</url>
 	<scm>
-		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-derived-geometries/org.gvsig.derivedgeometries/trunk/${project.artifactId}</connection>
-		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-derived-geometries/org.gvsig.derivedgeometries/trunk/${project.artifactId}</developerConnection>
-		<url>https://devel.gvsig.org/redmine/projects/gvsig-derived-geometries/repository/show/org.gvsig.derivedgeometries/trunk/${project.artifactId}</url>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-derived-geometries/org.gvsig.derivedgeometries/tags/org.gvsig.derivedgeometries-1.0.231</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-derived-geometries/org.gvsig.derivedgeometries/tags/org.gvsig.derivedgeometries-1.0.231</developerConnection>
+		<url>https://devel.gvsig.org/redmine/projects/gvsig-derived-geometries/repository/show/org.gvsig.derivedgeometries/tags/org.gvsig.derivedgeometries-1.0.231</url>
 	</scm>
 	<repositories>
 		<repository>
@@ -64,14 +64,14 @@
 				<artifactId>
 					org.gvsig.derivedgeometries.swing.api
 				</artifactId>
-				<version>1.0.231-SNAPSHOT</version>
+				<version>1.0.231</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>
 					org.gvsig.derivedgeometries.swing.impl
 				</artifactId>
-				<version>1.0.231-SNAPSHOT</version>
+				<version>1.0.231</version>
 			</dependency>
 		</dependencies>
 	</dependencyManagement>
Index: org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.main/pom.xml
===================================================================
--- org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.main/pom.xml	(revision 1206)
+++ org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.main/pom.xml	(revision 1207)
@@ -3,7 +3,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.derivedgeometries</artifactId>
-		<version>1.0.231-SNAPSHOT</version>
+		<version>1.0.231</version>
 	</parent>
 	<artifactId>org.gvsig.derivedgeometries.main</artifactId>
 	<name>org.gvsig.derivedgeometries.main</name>
Index: org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.swing/org.gvsig.derivedgeometries.swing.impl/pom.xml
===================================================================
--- org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.swing/org.gvsig.derivedgeometries.swing.impl/pom.xml	(revision 1206)
+++ org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.swing/org.gvsig.derivedgeometries.swing.impl/pom.xml	(revision 1207)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.derivedgeometries.swing</artifactId>
-    <version>1.0.231-SNAPSHOT</version>
+    <version>1.0.231</version>
   </parent>
   <artifactId>org.gvsig.derivedgeometries.swing.impl</artifactId>
   <name>org.gvsig.derivedgeometries.swing.impl</name>
Index: org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.swing/org.gvsig.derivedgeometries.swing.api/pom.xml
===================================================================
--- org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.swing/org.gvsig.derivedgeometries.swing.api/pom.xml	(revision 1206)
+++ org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.swing/org.gvsig.derivedgeometries.swing.api/pom.xml	(revision 1207)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.derivedgeometries.swing</artifactId>
-    <version>1.0.231-SNAPSHOT</version>
+    <version>1.0.231</version>
   </parent>
   <artifactId>org.gvsig.derivedgeometries.swing.api</artifactId>
   <name>org.gvsig.derivedgeometries.swing.api</name>
Index: org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.swing/pom.xml
===================================================================
--- org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.swing/pom.xml	(revision 1206)
+++ org.gvsig.derivedgeometries/trunk/org.gvsig.derivedgeometries/org.gvsig.derivedgeometries.swing/pom.xml	(revision 1207)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.derivedgeometries</artifactId>
-    <version>1.0.231-SNAPSHOT</version>
+    <version>1.0.231</version>
   </parent>
   <artifactId>org.gvsig.derivedgeometries.swing</artifactId>
   <packaging>pom</packaging>