Index: org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/org.gvsig.attributeeditor.mapcontrol/pom.xml
===================================================================
--- org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/org.gvsig.attributeeditor.mapcontrol/pom.xml	(revision 1207)
+++ org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/org.gvsig.attributeeditor.mapcontrol/pom.xml	(revision 1208)
@@ -3,11 +3,11 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.attributeeditor</artifactId>
-    <version>1.0.232</version>
+    <version>1.0.233-SNAPSHOT</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.attributeeditor.mapcontrol</artifactId>
-  <version>1.0.232</version>
+  <version>1.0.233-SNAPSHOT</version>
   <name>org.gvsig.atributeeditor.mapcontrol</name>
   <dependencies>
   	<dependency>
Index: org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/org.gvsig.attributeeditor.app/pom.xml
===================================================================
--- org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/org.gvsig.attributeeditor.app/pom.xml	(revision 1207)
+++ org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/org.gvsig.attributeeditor.app/pom.xml	(revision 1208)
@@ -3,11 +3,11 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.attributeeditor</artifactId>
-		<version>1.0.232</version>
+		<version>1.0.233-SNAPSHOT</version>
 	</parent>
 	<groupId>org.gvsig</groupId>
 	<artifactId>org.gvsig.attributeeditor.app</artifactId>
-	<version>1.0.232</version>
+	<version>1.0.233-SNAPSHOT</version>
 	<packaging>pom</packaging>
 	<name>org.gvsig.attributeeditor.app</name>
 	<modules>
Index: org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/pom.xml	(revision 1207)
+++ org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/pom.xml	(revision 1208)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.attributeeditor.app</artifactId>
-    <version>1.0.232</version>
+    <version>1.0.233-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.attributeeditor.app.mainplugin</artifactId>
   <name>${project.artifactId}</name>
Index: org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/pom.xml
===================================================================
--- org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/pom.xml	(revision 1207)
+++ org.gvsig.attributeeditor/trunk/org.gvsig.attributeeditor/pom.xml	(revision 1208)
@@ -7,7 +7,7 @@
 	</parent>
 	<groupId>org.gvsig</groupId>
 	<artifactId>org.gvsig.attributeeditor</artifactId>
-	<version>1.0.232</version>
+	<version>1.0.233-SNAPSHOT</version>
 	<packaging>pom</packaging>
 	<name>org.gvsig.attributeeditor</name>
 	<description>This plugins allows to edit the alphanumeric attributes of a layer.</description>
@@ -31,9 +31,9 @@
 	</repositories>
 
 	<scm>
-		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-attributeeditor/org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.232</connection>
-		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-attributeeditor/org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.232</developerConnection>
-		<url>https://devel.gvsig.org/redmine/projects/gvsig-attributeeditor/repository/show/org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.232</url>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-attributeeditor/org.gvsig.attributeeditor/trunk/${project.artifactId}</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-attributeeditor/org.gvsig.attributeeditor/trunk/${project.artifactId}</developerConnection>
+		<url>https://devel.gvsig.org/redmine/projects/gvsig-attributeeditor/repository/show/org.gvsig.attributeeditor/trunk/${project.artifactId}</url>
 	</scm>
 
 
@@ -44,14 +44,14 @@
 				<artifactId>
     				org.gvsig.attributeeditor.app.mainplugin
     			</artifactId>
-				<version>1.0.232</version>
+				<version>1.0.233-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>
     				org.gvsig.attributeeditor.mapcontrol
     			</artifactId>
-				<version>1.0.232</version>
+				<version>1.0.233-SNAPSHOT</version>
 			</dependency>
 		</dependencies>
 	</dependencyManagement>