Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.lib/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.lib/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.lib/pom.xml	(revision 1510)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.scripting</artifactId>
-		<version>2.3.146-SNAPSHOT</version>
+		<version>2.3.146</version>
 	</parent>
 
 	<modules>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.lib/org.gvsig.scripting.lib.impl/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.lib/org.gvsig.scripting.lib.impl/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.lib/org.gvsig.scripting.lib.impl/pom.xml	(revision 1510)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.scripting.lib</artifactId>
-        <version>2.3.146-SNAPSHOT</version>
+        <version>2.3.146</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.lib/org.gvsig.scripting.lib.api/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.lib/org.gvsig.scripting.lib.api/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.lib/org.gvsig.scripting.lib.api/pom.xml	(revision 1510)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.scripting.lib</artifactId>
-		<version>2.3.146-SNAPSHOT</version>
+		<version>2.3.146</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/pom.xml	(revision 1510)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.scripting</artifactId>
-		<version>2.3.146-SNAPSHOT</version>
+		<version>2.3.146</version>
 	</parent>
 	<modules>
 		<module>org.gvsig.scripting.swing.api</module>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/pom.xml	(revision 1510)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.scripting.swing</artifactId>
-        <version>2.3.146-SNAPSHOT</version>
+        <version>2.3.146</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.api/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.api/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.api/pom.xml	(revision 1510)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.scripting.swing</artifactId>
-		<version>2.3.146-SNAPSHOT</version>
+		<version>2.3.146</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.thing/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.thing/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.thing/pom.xml	(revision 1510)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.scripting</artifactId>
-		<version>2.3.146-SNAPSHOT</version>
+		<version>2.3.146</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/org.gvsig.scripting.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/org.gvsig.scripting.app.mainplugin/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/org.gvsig.scripting.app.mainplugin/pom.xml	(revision 1510)
@@ -55,7 +55,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.scripting.app</artifactId>
-        <version>2.3.146-SNAPSHOT</version>
+        <version>2.3.146</version>
     </parent>
     <dependencies>
         <dependency>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/pom.xml	(revision 1510)
@@ -8,7 +8,7 @@
 	<parent>
 	  <groupId>org.gvsig</groupId>
 	  <artifactId>org.gvsig.scripting</artifactId>
-	  <version>2.3.146-SNAPSHOT</version>
+	  <version>2.3.146</version>
   	</parent>
 
 	<modules>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.main/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.main/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.main/pom.xml	(revision 1510)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.scripting</artifactId>
-		<version>2.3.146-SNAPSHOT</version>
+		<version>2.3.146</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/pom.xml	(revision 1509)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/pom.xml	(revision 1510)
@@ -4,7 +4,7 @@
     <modelVersion>4.0.0</modelVersion>
     <artifactId>org.gvsig.scripting</artifactId>
     <packaging>pom</packaging>
-    <version>2.3.146-SNAPSHOT</version>
+    <version>2.3.146</version>
     <name>${project.artifactId}</name>
     <description>Scripting Framework for gvSIG</description>
     <url>http://devel.gvsig.org/sites/org.gvsig.scripting/${project.version}</url>
@@ -16,9 +16,9 @@
     </parent>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-scripting/org.gvsig.scripting/trunk/org.gvsig.scripting/</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-scripting/org.gvsig.scripting/trunk/org.gvsig.scripting/</developerConnection>
-        <url>https://devel.gvsig.org/svn/gvsig-scripting/org.gvsig.scripting/trunk/org.gvsig.scripting/</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-scripting/org.gvsig.scripting/tags/org.gvsig.scripting-2.3.146</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-scripting/org.gvsig.scripting/tags/org.gvsig.scripting-2.3.146</developerConnection>
+        <url>https://devel.gvsig.org/svn/gvsig-scripting/org.gvsig.scripting/tags/org.gvsig.scripting-2.3.146</url>
     </scm>
     <developers>
         <developer>
@@ -86,40 +86,40 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.scripting.lib.api</artifactId>
-                <version>2.3.146-SNAPSHOT</version>
+                <version>2.3.146</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.scripting.swing.api</artifactId>
-                <version>2.3.146-SNAPSHOT</version>
+                <version>2.3.146</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.scripting.lib.impl</artifactId>
-                <version>2.3.146-SNAPSHOT</version>
+                <version>2.3.146</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.scripting.swing.impl</artifactId>
-                <version>2.3.146-SNAPSHOT</version>
+                <version>2.3.146</version>
             </dependency>
 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.scripting.main</artifactId>
-                <version>2.3.146-SNAPSHOT</version>
+                <version>2.3.146</version>
             </dependency>
 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.scripting.thing</artifactId>
-                <version>2.3.146-SNAPSHOT</version>
+                <version>2.3.146</version>
             </dependency>
 
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.scripting.app.mainplugin</artifactId>
-                <version>2.3.146-SNAPSHOT</version>
+                <version>2.3.146</version>
             </dependency>
 
             <dependency>